STOREBACKUPCHECKBACKUP(1)

NAME
storeBackupCheckBackup.pl - checks if a file in the backup is missing or corrupted

SYNOPSIS
        storeBackupCheckBackup.pl -c backupDir [-p number] [-i]
              [-w filePrefix] [--lastOfEachSeries]
              [--includeRenamedBackups]
              [--logFile
               [--plusLogStdout] [--suppressTime] [-m maxFilelen]
               [[-n noOfOldFiles] | [--saveLogs]]

DESCRIPTION
The tool is intended to find files in the source that might have changed over time without the users interaction or knowledge, for example by bit rot.

IT calculates md5 sums from the files in the backup and compares them with md5 sums stored by storeBackup.pl. It so will recognize, if a file in the backup is missing or currupted. It only checks plain files, not special files or symbolic links.

OPTIONS

--print
        print configuration parameters and stop

--checkDir, -c
        backup or top of backups to check

--backupRoot, -b
        root of storeBackup tree, normally not needed

--verbose, -v
        generate statistics

--parJobs, -p
        number of parallel jobs, default = chosen automatically

--lastOfEachSeries
        only check the last backup of each series found

--includeRenamedBackups, -i
        include renamed backups into the check renamed backups must
        follow the convention <backupDir>-<something>

--wrongFileTables, -w
        write filenames with detected faults in regular files for
        later bug fixing (not automated)
        parameter to this option is a file prefix
        eg. if the file prefix is '/tmp/bugsB-', the following files are
        generated:
        /tmp/bugsB-files.missing.txt
        /tmp/bugsB-md5sums.missing.txt
        /tmp/bugsB-md5sums.wrong.txt

--logFile, -l
        logFile, Default: stdout

--plusLogStdout
        if you specify a log file with --logFile you can
        additionally print the output to STDOUT with this flag

--suppressTime
        suppress output of time in logfile

--maxFilelen, -m
        maximal length of log file, default = 1e6

--noOfOldFiles, -n
        number of old log files, default = 5

--saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOldFiles])

--compressWith
        compress saved log files (e.g. with 'gzip -9').
        default is 'bzip2'

COPYRIGHT
Copyright (c) 2008-2013 by Heinz-Josef Claes (see README) Published under the GNU General Public License v3 or any later version